Subject: bug#2577: 23.0.91; startup.el should choose .emacs ahead of .emacs.elc if .emacs is newer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 Mar 2009 12:55:06 +0200

> Date: Fri, 6 Mar 2009 11:18:54 +0100
> From: Alex <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> On Thu, Mar 05, 2009 at 11:49:42AM -0500, Stefan Monnier wrote:
> > > Currently startup.el warns if .emacs.elc is newer than .emacs however
> > > this hides subtle bugs if people don't carefully watch their logs/mode
> > > line during startup. Although many people have clever auto-compile
> > > magic every tiome they save .emacs this often break down when they
> > > pull in updates via SCMs.
> > 
> > I think that if people compile their .emacs they get what they ask for.
> 
> That's not very helpful.

Maybe not, but it isn't clear, at least not to me, what alternative
behavior do you suggest.  How about spelling it out?

If this is your suggestion:

> It should still warn, but by default it should go with the newest
> version.

then I doubt that it will fly, as Emacs does not do this with any
other Lisp file.  It always warns and goes with the .elc file.